<?php
function cpt_slider(){
	register_post_type('slides',
		array(
			'labels' => array(
				'name' => __( 'Slider', 'ototw' ),
				'singular_name' => __( 'Slide', 'ototw' ),
				'add_new' => __( 'Add new slide', 'ototw' ),
				'add_new_item' => __( 'Add new slide', 'ototw' ),
				'edit' => __( 'Edit', 'ototw' ),
				'edit_item' => __( 'Edit slide', 'ototw' ),
				'new_item' => __( 'New slide', 'ototw' ),
				'view' => __( 'View slide', 'ototw' ),
				'view_item' => __( 'View slide', 'ototw' ),
				'search_items' => __( 'Search slides', 'ototw' ),
				'not_found' => __( 'No slides found', 'ototw' ),
				'not_found_in_trash' => __( 'No slides found in Trash', 'ototw' ),
				'parent' => __( 'Parent slide', 'ototw' ),
			),
			'singular_label' => __( 'Slide', 'ototw' ),
			'public' => true,
			'show_ui' => true,
			'_builtin' => false,
			'capability_type' => 'post',
			'hierarchical' => true,
			'menu_position' => 15,
			'supports' => array('title'),
			'menu_icon' => get_stylesheet_directory_uri() . '/images/wp_menu_gallery.png',
			'rewrite' => array(
				'slug' => 'slides', 
				'with_front' => false
			) 
		)
	);
}
add_action('init', 'cpt_slider');