<?php
function cpt_updates(){
	register_post_type('updates', 

		array(
			'labels' => array(
				'name' => __( 'Quick Updates', 'ototw' ),
				'singular_name' => __( 'Updates', 'ototw' ),
				'add_new' => __( 'Add new update', 'ototw' ),
				'add_new_item' => __( 'Add new update', 'ototw' ),
				'edit' => __( 'Edit', 'ototw' ),
				'edit_item' => __( 'Edit update', 'ototw' ),
				'new_item' => __( 'New update', 'ototw' ),
				'view' => __( 'View update', 'ototw' ),
				'view_item' => __( 'View update', 'ototw' ),
				'search_items' => __( 'Search updates', 'ototw' ),
				'not_found' => __( 'No update(s) found', 'ototw' ),
				'not_found_in_trash' => __( 'No update(s) found in Trash', 'ototw' ),
				'parent' => __( 'Parent update', 'ototw' ),
			),
			'singular_label' => __( 'Update', 'ototw' ),
			'public' => true,
			'show_ui' => true,
			'_builtin' => false,
			'capability_type' => 'post',
			'hierarchical' => true,
			'menu_position' => 15,
			'supports' => array('title','editor','author','page-attributes'),
			'menu_icon' => get_stylesheet_directory_uri() . '/images/wp_menu_updates.png',
			'rewrite' => array(
				'slug' => 'update', 
				'with_front' => false
			) 
		)
	);
}
add_action('init', 'cpt_updates');