(function() {
	
	tinymce.create('tinymce.plugins.ototw_shortcode_boxes', {		 
		init : function(ed, url) {
			
			ed.addCommand('mce_ototw_shortcode_boxes', function() {
				
				ed.windowManager.open({
					
					file : url + '/window.php',
					width : 360 + ed.getLang('ototw_shortcode_boxes.delta_width', 0),
					height : 310 + ed.getLang('ototw_shortcode_boxes.delta_height', 0),
					inline : 1
					
				}, {
					
					plugin_url : url // Plugin absolute URL
					
				});
			});
			
			// boxes
            ed.addButton('ototw_boxes', {
                title : 'Insert styled box',
                image : url+'/boxes.png',
				cmd : 'mce_ototw_shortcode_boxes'
            });
			
		},

		getInfo : function() {
			
			return {				
				longname : "OTOTW Shortcodes",
                author : 'OTOTW',
                authorurl : 'http://ototw.co/',
                infourl : 'http://ototw.co/',
                version : "1.0"				
			};
			
		}		
	});

	tinymce.PluginManager.add('ototw_boxes', tinymce.plugins.ototw_shortcode_boxes);
	
})();