(function() {
	
	tinymce.create('tinymce.plugins.ototw_shortcode_toggle', {		 
		init : function(ed, url) {
			
			ed.addCommand('mce_ototw_shortcode_toggle', function() {
				
				ed.windowManager.open({
					
					file : url + '/window.php',
					width : 360 + ed.getLang('ototw_shortcode_toggle.delta_width', 0),
					height : 400 + ed.getLang('ototw_shortcode_toggle.delta_height', 0),
					inline : 1
					
				}, {
					
					plugin_url : url // Plugin absolute URL
					
				});
			});
			
			// Toggle
			ed.addButton('ototw_toggle', {
				title : 'Insert a toggled content',
				image : url+'/toggle.png',
				cmd : 'mce_ototw_shortcode_toggle'
            });
			
		},

		getInfo : function() {
			
			return {				
				longname : "OTOTW Shortcodes",
                author : 'Simon Bouchard',
                authorurl : 'http://ototw.co/',
                infourl : 'http://ototw.co/',
                version : "1.0"				
			};
			
		}		
	});

	tinymce.PluginManager.add('ototw_toggle', tinymce.plugins.ototw_shortcode_toggle);
	
})();