<?php
/**
 * The default template for displaying footer
 *
 * @package WordPress
 * @subpackage TheAgency
 * @since TheAgency 1.0
 */
?>

<?php global $options; ?>
</div>
<!-- //container -->

<!-- footer -->	
<footer>
	<p>
		<?php
		if ($options && $options['ototw_theme_copyright'] != '') {
		echo $options['ototw_theme_copyright']; 
		} ?>
		<?php _e('Designed by ', 'ototw'); ?>  <a href="http://ototw.co/?utm_source=Blog&utm_medium=theme&utm_campaign=TheAgency" target="_blank" title="Hand crafted by OTOTW Studios">OTOTW</>.
	</p>
</footer>
<!-- //footer -->

<!--[if lt IE 7 ]>
<script src="js/libs/dd_belatedpng.js"></script>
<script> DD_belatedPNG.fix('img, .png_bg');</script>
<![endif]-->
<?php
	if ($options && $options['ototw_theme_analytic'] != '') {
	echo $options['ototw_theme_analytic']; 
	} ?>
	
<script type="text/javascript">
jQuery = jQuery.noConflict();
jQuery(document).ready(function() {

	if(jQuery('#slider').length>0){

		jQuery('#slider').anythingSlider({
			mode : "fade",
			autoPlay : true,
			autoPlayLocked : true,
			delay : <?php echo $options['ototw_slider_pausetime']; ?>,
			resumeDelay : <?php echo $options['ototw_slider_pausetime']; ?>,
			animationTime : <?php echo $options['ototw_slider_animationSpeed']; ?>,
			<?php if( $options['ototw_slider_auseHover'] != 'on') : ?>pauseOnHover: false,<?php endif; ?>
			<?php if( $options['ototw_slider_controlNav'] != 'on') : ?>buildNavigation: false,<?php endif; ?>
			hashTags: true,
			buildArrows: false,
			buildNavigation: true,
			buildStartStop: false,
		});

	}

	/* Cycle Updates */
	jQuery('#home-news ul').cycle({
		fx: 'fade',
		speed: 650,
		rev: 'false',
		height: 'auto',
		timeout: 10000,
		next: '#home-news .left', 
		prev: '#home-news .right'
	});

})
</script>
<?php wp_footer(); ?>
</body>
</html>