(function() {
	
	tinymce.create('tinymce.plugins.ototw_shortcode_button', {		 
		init : function(ed, url) {
			
			ed.addCommand('mce_ototw_shortcode_button', function() {
				
				ed.windowManager.open({
					
					file : url + '/window.php',
					width : 526 + ed.getLang('ototw_shortcode_button.delta_width', 0),
					height : 470 + ed.getLang('ototw_shortcode_button.delta_height', 0),
					inline : 1
					
				}, {
					
					plugin_url : url // Plugin absolute URL
					
				});
			});
			
			// Button
            ed.addButton('ototw_linkButton', {
                title : 'Insert a button link',
                image : url+'/button.png',
                cmd : 'mce_ototw_shortcode_button'
            });
			
		},

		getInfo : function() {
			
			return {				
				longname : "OTOTW Shortcodes",
                author : 'Simon Bouchard',
                authorurl : 'http://ototw.co/',
                infourl : 'http://ototw.co/',
                version : "1.0"				
			};
			
		}		
	});

	tinymce.PluginManager.add('ototw_linkButton', tinymce.plugins.ototw_shortcode_button);
	
})();