(function() {
	
	tinymce.create('tinymce.plugins.ototw_shortcode_emphasis', {		 
		init : function(ed, url) {
			
			ed.addCommand('mce_ototw_shortcode_emphasis', function() {
				
				ed.windowManager.open({
					
					file : url + '/window.php',
					width : 526 + ed.getLang('ototw_shortcode_emphasis.delta_width', 0),
					height : 262 + ed.getLang('ototw_shortcode_emphasis.delta_height', 0),
					inline : 1
					
				}, {
					
					plugin_url : url // Plugin absolute URL
					
				});
			});
			
			// emphasis
            ed.addButton('ototw_emphasis', {
                title : 'Insert an emphasis styled text',
                image : url+'/emphasis.png',
                cmd : 'mce_ototw_shortcode_emphasis'
            });
			
		},

		getInfo : function() {
			
			return {				
				longname : "OTOTW Shortcodes",
                author : 'Simon Bouchard',
                authorurl : 'http://ototw.co/',
                infourl : 'http://ototw.co/',
                version : "1.0"				
			};
			
		}		
	});

	tinymce.PluginManager.add('ototw_emphasis', tinymce.plugins.ototw_shortcode_emphasis);
	
})();