(function() {
	
	tinymce.create('tinymce.plugins.ototw_shortcode_highlight', {		 
		init : function(ed, url) {
			
			ed.addCommand('mce_ototw_shortcode_highlight', function() {
				
				ed.windowManager.open({
					
					file : url + '/window.php',
					width : 360 + ed.getLang('ototw_shortcode_highlight.delta_width', 0),
					height : 210 + ed.getLang('ototw_shortcode_highlight.delta_height', 0),
					inline : 1
					
				}, {
					
					plugin_url : url // Plugin absolute URL
					
				});
			});
			
			// boxes
            ed.addButton('ototw_highlight', {
                title : 'Insert highlighted text',
                image : url+'/highlight.png',
				cmd : 'mce_ototw_shortcode_highlight'
            });
			
		},

		getInfo : function() {
			
			return {				
				longname : "OTOTW Shortcodes",
                author : 'Simon Bouchard',
                authorurl : 'http://ototw.co/',
                infourl : 'http://ototw.co/',
                version : "1.0"				
			};
			
		}		
	});

	tinymce.PluginManager.add('ototw_highlight', tinymce.plugins.ototw_shortcode_highlight);
	
})();