(function() {
	
	tinymce.create('tinymce.plugins.ototw_shortcode_postlist', {		 
		init : function(ed, url) {
			
			ed.addCommand('mce_ototw_shortcode_postlist', function() {
				
				ed.windowManager.open({
					
					file : url + '/window.php',
					width : 403 + ed.getLang('ototw_shortcode_postlist.delta_width', 0),
					height : 240 + ed.getLang('ototw_shortcode_postlist.delta_height', 0),
					inline : 1
					
				}, {
					
					plugin_url : url // Plugin absolute URL
					
				});
			});
			
			// boxes
            ed.addButton('ototw_postlist', {
                title : 'Insert post list',
                image : url+'/postlist.png',
				cmd : 'mce_ototw_shortcode_postlist'
            });
			
		},

		getInfo : function() {
			
			return {				
				longname : "OTOTW Shortcodes",
                author : 'Simon Bouchard',
                authorurl : 'http://ototw.co/',
                infourl : 'http://ototw.co/',
                version : "1.0"				
			};
			
		}		
	});

	tinymce.PluginManager.add('ototw_postlist', tinymce.plugins.ototw_shortcode_postlist);
	
})();