(function() {
	
	tinymce.create('tinymce.plugins.ototw_shortcode_quotes', {		 
		init : function(ed, url) {
			
			ed.addCommand('mce_ototw_shortcode_quotes', function() {
				
				ed.windowManager.open({
					
					file : url + '/window.php',
					width : 360 + ed.getLang('ototw_shortcode_quotes.delta_width', 0),
					height : 310 + ed.getLang('ototw_shortcode_quotes.delta_height', 0),
					inline : 1
					
				}, {
					
					plugin_url : url // Plugin absolute URL
					
				});
			});
			
			// quotes
            ed.addButton('ototw_quotes', {
                title : 'Insert pull quote',
                image : url+'/quotes.png',
				cmd : 'mce_ototw_shortcode_quotes'
            });
			
		},

		getInfo : function() {
			
			return {				
				longname : "OTOTW Shortcodes",
                author : 'Simon Bouchard',
                authorurl : 'http://ototw.co/',
                infourl : 'http://ototw.co/',
                version : "1.0"				
			};
			
		}		
	});

	tinymce.PluginManager.add('ototw_quotes', tinymce.plugins.ototw_shortcode_quotes);
	
})();